org.apache.geode.cache.configuration

## Class RegionConfig.Index

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionConfig.Index

- All Implemented Interfaces:
    java.io.Serializable, CacheElement, Identifiable<java.lang.String>
  Enclosing class:
    RegionConfig

      public static class RegionConfig.Index
      extends java.lang.Object
      implements CacheElement

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice minOccurs="0">
               <element name="functional">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="expression" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="from-clause" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="primary-key">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="field" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="expression" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="from-clause" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="key-index" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="type" default="range">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="range"/>
                   <enumeration value="hash"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `expression`
    `protected java.lang.String` | `fromClause`
    `protected java.lang.String` | `imports`
    `protected java.lang.Boolean` | `keyIndex`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Index()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpression()` Gets the value of the expression property.
    `java.lang.String` | `getFromClause()` Gets the value of the fromClause property.
    `java.lang.String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `java.lang.String` | `getImports()` Gets the value of the imports property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `java.lang.String` | `getType()` Gets the value of the type property.
    `java.lang.Boolean` | `isKeyIndex()` Gets the value of the keyIndex property.
    `void` | `setExpression(java.lang.String value)` Sets the value of the expression property.
    `void` | `setFromClause(java.lang.String value)` Sets the value of the fromClause property.
    `void` | `setImports(java.lang.String value)` Sets the value of the imports property.
    `void` | `setKeyIndex(java.lang.Boolean value)` Sets the value of the keyIndex property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setType(java.lang.String value)` Deprecated. Index should only be a "key" or "range" type which is set using `setKeyIndex(Boolean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.configuration.CacheElement

      `findElement, removeElement`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### expression

          protected java.lang.String expression

    - #### fromClause

          protected java.lang.String fromClause

    - #### imports

          protected java.lang.String imports

    - #### keyIndex

          protected java.lang.Boolean keyIndex

    - #### type

          protected java.lang.String type

  - ### Constructor Detail

    - #### Index

          public Index()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property. possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property. allowed object is `String`

    - #### getExpression

          public java.lang.String getExpression()

      Gets the value of the expression property. possible object is `String`

    - #### setExpression

          public void setExpression(java.lang.String value)

      Sets the value of the expression property. allowed object is `String`

    - #### getFromClause

          public java.lang.String getFromClause()

      Gets the value of the fromClause property. possible object is `String`

    - #### setFromClause

          public void setFromClause(java.lang.String value)

      Sets the value of the fromClause property. allowed object is `String`

    - #### getImports

          public java.lang.String getImports()

      Gets the value of the imports property. possible object is `String`

    - #### setImports

          public void setImports(java.lang.String value)

      Sets the value of the imports property. allowed object is `String`

    - #### isKeyIndex

          public java.lang.Boolean isKeyIndex()

      Gets the value of the keyIndex property. possible object is `Boolean`

    - #### setKeyIndex

          public void setKeyIndex(java.lang.Boolean value)

      Sets the value of the keyIndex property. allowed object is `Boolean`

    - #### getType

          public java.lang.String getType()

      Gets the value of the type property. possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Deprecated. Index should only be a "key" or "range" type which is set using `setKeyIndex(Boolean)`
      Sets the value of the type property. Also sets the keyIndex property to true if the type being set is "key". allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<java.lang.String>`
      Returns:
        an identifier uniquely identifying this Object.